Package org.eclipse.gef.geometry.convert.fx

# Class FX2Geometry

java.lang.Object
org.eclipse.gef.geometry.convert.fx.FX2Geometry

public class FX2Geometry extends Object
Utility class to support the conversion between JavaFX objects and corresponding classes of the GEF geometry API.

## Method Summary

Modifier and Type
Method
Description
`static final AffineTransform`
`toAffineTransform(javafx.scene.transform.Transform t)`
Converts the given JavaFX `Transform` to an `AffineTransform` .
`static final Point`
`toPoint(javafx.geometry.Point2D point)`
Converts the given JavaFX `Point2D` to a `Point`.
`static final Rectangle`
`toRectangle(javafx.geometry.Bounds b)`
Converts the given JavaFX `Bounds` to a `Rectangle`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### toAffineTransform

public static final AffineTransform toAffineTransform(javafx.scene.transform.Transform t)
Converts the given JavaFX `Transform` to an `AffineTransform` .

Parameters:
  `t` - The JavaFX `Transform` to convert.
Returns:
  The new `AffineTransform`.

### toRectangle

public static final Rectangle toRectangle(javafx.geometry.Bounds b)
Converts the given JavaFX `Bounds` to a `Rectangle`.

Parameters:
  `b` - The JavaFX `Bounds` to convert.
Returns:
  The new `Rectangle`.

### toPoint

public static final Point toPoint(javafx.geometry.Point2D point)
Converts the given JavaFX `Point2D` to a `Point`.

Parameters:
  `point` - The `Point2D` to convert.
Returns:
  The new `Point`.